Support » Plugin: Postie » Error connecting to the server gmail

  • Resolved jseth

    (@jseth)


    I’m trying to set up Postie to retrieve emails which are sent to a gmail account. We had tried to set it up to use Office365 but could not get it to work with that either, so we decided to try gmail, but that’s not working either. We had Postie set up previously using our on-premises Exchange server and it worked fine. We host the website on our own server. Also, I checked on the server and ran echo “TAG LOGOUT” |openssl s_client -connect imap.gmail.com:993 and echo quit | openssl s_client -connect pop.gmail.com:995 and both connected successfully.

    POP (and IMAP) are turned on in the Gmail account, Secure App is turned off. I keep seeing the “Use Transport Layer Security (TLS)” option mentioned for the Postie settings, but I don’t see it in mine (using Postie version 1.8.17). Also, I have the option “Connection Sockets or cURL” available.

    Part of my debug output is as follows, and I think that it may provide a clue to the problem but I’m not sure:

    MAKE SURE POP IS TURNED ON IN SETTING AT Gmail
    postie_getemails: Connecting to pop.gmail.com:995 (pop3-ssl)
    postie_getemails: procol: pop3-ssl
    Connecting via Socket
    Socket: tls://pop.gmail.com:995
    Socket error: 0 –
    There was an error connecting to the server

    I am certain that the username and password for the Gmail account are correct, I’ve also tried POP3 but that shows the same error. I can log into the Gmail account successfully, so I’m not sure where I am making an error. Hopefully someone can show me what is incorrect. Thank you.

    • This topic was modified 3 years, 6 months ago by jseth.
    • This topic was modified 3 years, 6 months ago by jseth.
Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Author Wayne Allen

    (@wayneallen-1)

    It is strange that openssl worked, but Postie is having trouble.

    Please try switching to cURL.

    What version of PHP are you running?

    It appears I am running PHP version: 5.6.17-1~dotdeb+7.1
    The version of cURL on my server (Turnkey Moodle) is 7.26.0
    I’m not familiar with cURL however I get an error that I need to upgrade it for Postie.

    I changed the connection setting to cURL but didn’t upgrade it. I ran the Test Config and it connected successfully to the server.

    Well, it connected successfully to the server but doesn’t actually process anything… I guess it does need the cURL update. I’m hesitant to upgrade it as I don’t want to break anything.

    Is the info showing the Use Transport Layer Security (TLS) incorrect? I don’t see that option in my Postie settings. Thanks.

    • This reply was modified 3 years, 6 months ago by jseth.
    Plugin Author Wayne Allen

    (@wayneallen-1)

    The TLS option was removed in 1.8. TLS is always used for SSL connections. I’ve updated the documentation. Thanks.

    cURL doesn’t support IMAP until 7.30.0.

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Error connecting to the server gmail’ is closed to new replies.